/*
 * This code is sample code, provided as-is, and we make NO 
 * warranties as to its correctness or suitability for any purpose.
 * 
 * We hope that it's useful to you. Enjoy. 
 * Copyright LearningPatterns Inc.
 */

package com.javatunes.aspects;

import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.aspectj.lang.annotation.Pointcut;


@Aspect
public class CatalogAspect {

	@Pointcut("execution(* com.javatunes.service.Catalog.*(..))")
	public void anyCatalogMethod() {} // No body in this method
	
	
	@Before("anyCatalogMethod()")
	public void dbPing() {
		System.out.println("Pinging database ...");
	}


}